Results 1 to 7 of 7

Thread: Unknown error running post-install step. Installation may not complete correctly

  1. #1
    Sencha User
    Join Date
    Mar 2012
    Posts
    2
    Answers
    1

    Default Answered: Unknown error running post-install step. Installation may not complete correctly

    When installing SenchaSDKTools-2.0.0-Beta-osx I got the error "Unknown error running post-install step. Installation may not complete correctly".
    "sencha" command is not valid yet.
    It looks that the error occurs on the following process:

    creating link /Applications/SenchaSDKTools-2.0.0-Beta/Frameworks/QtGui.framework/Versions/Current/

    .profile .bash_profile .bashrc is writable.
    I have installed Qt for phantomjs.

    Do you have any solutions or plan to solve it?

  2. I've solved the issue by adding this lines to .zshrc. Thank you.

    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/command:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/jsbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/appbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/command:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/jsbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/appbuilder:$PATH

  3. #2
    Sencha User
    Join Date
    Mar 2012
    Posts
    2
    Answers
    1

    Thumbs up solved

    I've solved the issue by adding this lines to .zshrc. Thank you.

    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/command:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/jsbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/appbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/command:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/jsbuilder:$PATH
    export PATH=/Applications/SenchaSDKTools-2.0.0-Beta/appbuilder:$PATH

  4. #3

    Default Issue remains

    I've tried this and the issue continues.

    Still getting the error on the install step and not able to run any sencha commands in the terminal.

    Does anyone have any more ideas?

    Thanks!

  5. #4

    Default Worked

    Sorry, this solution works!

    Just make sure that "Applications/SenchaSDKTools-2.0.0-Beta" referrs EXACTLY to whats on your computer. For example my path is:

    "Applications/SenchaSDKTools-2.0.0-beta3"

    Good luck!

  6. #5
    Sencha User
    Join Date
    Aug 2011
    Posts
    41
    Answers
    2

    Default Not working here

    Hello,

    I ve tried to ad these paths, sourced it, reinstall the SDK but it still doesn't work.
    Any way to get a more detailed error than the popup one?

  7. #6
    Sencha User
    Join Date
    May 2012
    Posts
    1

    Default same prob here

    where do you add these paths?

    I just want to hit install and have it work -- can someone assist?

    This is happening to me too.

    where do I find .zshrc ?

    sg

  8. #7
    Sencha User
    Join Date
    Aug 2011
    Posts
    41
    Answers
    2

    Default

    You have .zshrc only if u installed zsh as a possible shell. If u did this then u should be able to find .zshrc into your home dir (~):
    Code:
    cd ~
    ls -al
    If you dont have zsh installed then u shouldnt be concerned by this post.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •